Get Batch Playlist Stream Estimates

Return per-track availability and playlist stream estimates for a batch of track IDs. Missing tracks are returned with status: "not_found" rather than failing the whole request.

Query Parameters
  • date
    Type: string Format: date

    Snapshot date in YYYY-MM-DD format. Mutually exclusive with since/until. Omit all of date/since/until to get the latest available snapshot.

  • since
    Type: string Format: date

    Start of the weekly snapshot history range in YYYY-MM-DD format.

  • until
    Type: string Format: date

    End of the weekly snapshot history range in YYYY-MM-DD format.

Body
required
application/json
  • ids
    Type: array integer[] 1…50 unique!
    min:  
    0
    max:  
    2147483647
    required

    One or more Chartmetric track IDs.

Responses
  • application/json
Request Example for post/api/track/playlist-stream-estimates
curl https://api.chartmetric.com/api/track/playlist-stream-estimates \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "ids": [
    0
  ]
}'
{
  "obj": [
    {
      "cm_track": 141777092,
      "status": "available",
      "estimates": [
        {
          "cm_track": 141777092,
          "timestp": "2026-07-11",
          "playlist_stream_pct": 58.11359808113311,
          "playlist_count": 17982,
          "expected_playlist_streams": 203672324,
          "streams_gained_in_period": 72672055,
          "expected_editorial": 113511005,
          "expected_chart": 12482763,
          "expected_user_other": 77678556
        }
      ]
    }
  ]
}